# dask.array.linalg.sfqr

dask.array.linalg.sfqr(data, name=None)

  Direct Short-and-Fat QR

  Currently, this is a quick hack for non-tall-and-skinny matrices which are one chunk tall and (unless they are one chunk wide) have chunks that are wider than they are tall

  Q [R_1 R_2 …] = [A_1 A_2 …]

  it computes the factorization Q R_1 = A_1, then computes the other R_k’s in parallel.

  Parameters:
    data: Array

  See also

  `dask.array.linalg.qr`

    Main user API that uses this function

  `dask.array.linalg.tsqr`

    Variant for tall-and-skinny case